From b1de326f8e97105e97beaf8b14c4af88894a62f0 Mon Sep 17 00:00:00 2001
From: Cyril Brulebois <kibi@debian.org>
Date: Sat, 19 Jan 2019 22:09:23 +0000
Subject: [PATCH] Remove unreproducible bits due to fontconfig.

---
 build/Makefile | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/build/Makefile b/build/Makefile
index 22abaac1d..2e6a0c76c 100644
--- a/build/Makefile
+++ b/build/Makefile
@@ -634,6 +634,11 @@ endif
 		fc-cache -s -y "$(TREE)"; \
 	fi
 
+	# Clean everything to check reproducibility:
+	@echo "HACK ALERT: fontconfig clean-up"
+	rm -v -rf "$(TREE)/var/cache/fontconfig"
+	find "$(TREE)" -name .uuid -print -delete
+
 	# Remove some unnecessary dpkg files.
 	set -e; \
 	for file in `find $(TREE)/var/lib/dpkg/info -name '*.md5sums' -o \
-- 
2.20.1

